Subject: Re: [PATCH 1/5] [VLAN]: Unclassified vlan packet

From: Patrick McHardy <[email-masked]>
Date: Mon, 02 Jun 2008 14:48:15 +0200

Joonwoo Park wrote:
> Patrick,
> Do you mind inserting a new flag to indicate vlan_tag is just for
> af_packet or not into sk_buff?
> I think if flag exists, we can pass vlan_tag to af_packet with just
> modifications of vlan_get_tag(), vlan_put_tag() and
> vlan_tag_present(),
> without patching for invalidation.

I've considered this, but that would mean that we report
the vlan tag for all devices layered on top, which seems
wrong.

For now I think I'm going to temporarily do something like
that so I can continue integrating the remaining patches
and fix it properly later.